Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
Class TimeDatumDependentDuration

    java.lang.Object
      groovy.time.BaseDuration
          groovy.time.DatumDependentDuration
              groovy.time.TimeDatumDependentDuration

    public class TimeDatumDependentDuration
    extends DatumDependentDuration

TimeDatumDuration represents a time period which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

Author:
  John Wilson tug@wilson.co.uk

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class groovy.time.BaseDuration
`BaseDuration.From`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.time.BaseDuration
`days, hours, millis, minutes, months, seconds, years`

Constructor Summary
Constructor and Description
`TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`BaseDuration.From` | `getFrom()`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`

Methods inherited from class groovy.time.DatumDependentDuration
`getAgo, getMonths, getYears, plus, plus, toMilliseconds`

Methods inherited from class groovy.time.BaseDuration
`getDays, getHours, getMillis, getMinutes, getSeconds, plus, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeDatumDependentDuration

    public TimeDatumDependentDuration(int years,
                                      int months,
                                      int days,
                                      int hours,
                                      int minutes,
                                      int seconds,
                                      int millis)

Method Detail

### plus

    public DatumDependentDuration plus(Duration rhs)

  Overrides:
    `plus` in class `DatumDependentDuration`

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

  Overrides:
    `plus` in class `DatumDependentDuration`

### minus

    public DatumDependentDuration minus(Duration rhs)

  Overrides:
    `minus` in class `DatumDependentDuration`

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

  Overrides:
    `minus` in class `DatumDependentDuration`

### getFrom

    public BaseDuration.From getFrom()

  Overrides:
    `getFrom` in class `DatumDependentDuration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD